diff -c /dev/null linuxdoc-sgml/Makefile:3.0 *** /dev/null Thu Jan 26 21:54:31 1995 --- linuxdoc-sgml/Makefile Thu Jan 26 21:54:31 1995 *************** *** 0 **** --- 1,39 ---- + SHELL=/bin/sh + CC = gcc + + all: + @echo Making in sgmls-1.1 ... + @(set -x; cd sgmls-1.1; \ + make CC=$(CC) config.h; \ + make CC=$(CC)) + @echo Making in html-fix ... + @(set -x; cd html-fix; \ + make CC=$(CC)) + @echo To install, run "'make install'" + + + install: + @echo Installing in sgmls-1.1 ... + @(set -x; cd sgmls-1.1; \ + make install; \ + make install.man) + @echo Installing in html-fix ... + @(set -x; cd html-fix; \ + make install) + @echo Installing in bin ... + @(set -x; cd bin; \ + rm -f ldformat; \ + ln format ldformat) + + BINPROGS = fixref html2html ldformat rast sgmls sgmlsasp + clean: + @echo Cleaning in sgmls-1.1 ... + @(set -x; cd sgmls-1.1; \ + make clean; \ + make cleanconfig) + @echo Cleaning in html-fix ... + @(set -x; cd html-fix; \ + make clean) + @echo Cleaning in bin ... + @(set -x; cd bin; \ + rm -f $(BINPROGS)) diff -c linuxdoc-sgml/bin/format:1.1.1.1 linuxdoc-sgml/bin/format:3.2 *** linuxdoc-sgml/bin/format:1.1.1.1 Thu Jan 26 21:54:32 1995 --- linuxdoc-sgml/bin/format Thu Jan 26 21:54:32 1995 *************** *** 7,13 **** # Modified by Matt Welsh to use linuxdoc.dtd # Set to path of linuxdoc-sgml directory. This should be all you need to edit. ! LINUXDOC=$HOME/linuxdoc-sgml SGMLS=$LINUXDOC/bin/sgmls SGMLSASP=$LINUXDOC/bin/sgmlsasp --- 7,13 ---- # Modified by Matt Welsh to use linuxdoc.dtd # Set to path of linuxdoc-sgml directory. This should be all you need to edit. ! LINUXDOC=${LINUXDOC:-$HOME/linuxdoc-sgml} SGMLS=$LINUXDOC/bin/sgmls SGMLSASP=$LINUXDOC/bin/sgmlsasp *************** *** 17,25 **** export SGML_PATH TYPE=latex # default formatter - TABS="-8" # expand replaces tabs with 8 spaces CHECK="no" # don't just check SGML syntax # The preprocessor has been removed. Add a new tool for preproccesing # Author/Editor files made on the Mac, perhaps with a command line # option here to invoke it. --- 17,33 ---- export SGML_PATH TYPE=latex # default formatter CHECK="no" # don't just check SGML syntax + if [ -x /usr/bin/expand -o -x /usr/ucb/expand -o -x /usr/local/bin/expand ] + then + EXPAND=expand + TABS=-8 + else + EXPAND=cat + TABS= + fi + # The preprocessor has been removed. Add a new tool for preproccesing # Author/Editor files made on the Mac, perhaps with a command line # option here to invoke it. *************** *** 42,48 **** done } ! trap 'cleanup; exit 1' 1 2 3 9 usage () { echo " format [-c] * just check syntax"; --- 50,56 ---- done } ! trap 'cleanup; exit 1' 1 2 3 usage () { echo " format [-c] * just check syntax"; *************** *** 57,63 **** "help" | "HELP" | "Help" | "-help") usage esac ! set -- `getopt cr:T:t: $*` if [ $? != 0 ] then --- 65,100 ---- "help" | "HELP" | "Help" | "-help") usage esac ! { ! sedfunc() ! { ! echo "$1" | sed "s/'/'\\\\''/g" ! } ! exitcode_=0 ! while getopts cr:T:t: c_ ! do ! case $c_ in ! \?) ! exitcode_=1 ! break;; ! *) if [ "$OPTARG" ] ! then ! optarg_=`sedfunc "$OPTARG"` ! arg_="$arg_ -$c_ '$optarg_'" ! else ! arg_="$arg_ -$c_" ! fi;; ! esac ! done ! shift `expr $OPTIND - 1` ! arg_="$arg_ --" ! for i_ in "$@" ! do ! optarg_=`sedfunc "$i_"` ! arg_="$arg_ '$optarg_'" ! done ! eval set -- "$arg_" ! test $exitcode_ = 0 ;} if [ $? != 0 ] then *************** *** 115,121 **** # format the document, writing to standard out REP=$REPDIR/$TYPE/mapping ! $SGMLS $SGMLFILE | $SGMLSASP $USERREP $REP | expand $TABS fi --- 152,158 ---- # format the document, writing to standard out REP=$REPDIR/$TYPE/mapping ! $SGMLS $SGMLFILE | $SGMLSASP $USERREP $REP | $EXPAND $TABS fi diff -c linuxdoc-sgml/bin/prehtml:1.1.1.1 linuxdoc-sgml/bin/prehtml:3.0 *** linuxdoc-sgml/bin/prehtml:1.1.1.1 Thu Jan 26 21:54:32 1995 --- linuxdoc-sgml/bin/prehtml Thu Jan 26 21:54:32 1995 *************** *** 2,8 **** # Modify $LINUXDOC for location of linuxdoc-sgml tree ! LINUXDOC=$HOME/linuxdoc-sgml LIB=$LINUXDOC/lib sed -f $LIB/prehtml.sed --- 2,8 ---- # Modify $LINUXDOC for location of linuxdoc-sgml tree ! LINUXDOC=${LINUXDOC:-$HOME/linuxdoc-sgml} LIB=$LINUXDOC/lib sed -f $LIB/prehtml.sed diff -c linuxdoc-sgml/bin/preroff:1.1.1.1 linuxdoc-sgml/bin/preroff:3.0 *** linuxdoc-sgml/bin/preroff:1.1.1.1 Thu Jan 26 21:54:33 1995 --- linuxdoc-sgml/bin/preroff Thu Jan 26 21:54:33 1995 *************** *** 8,14 **** # synopsis: format -T nroff foo.sgml | preroff | nroff -ms # Set to path of linuxdoc-sgml directory. This is all you need to edit. ! LINUXDOC=$HOME/linuxdoc-sgml LIB=$LINUXDOC/lib sed -f $LIB/preroff.sed --- 8,14 ---- # synopsis: format -T nroff foo.sgml | preroff | nroff -ms # Set to path of linuxdoc-sgml directory. This is all you need to edit. ! LINUXDOC=${LINUXDOC:-$HOME/linuxdoc-sgml} LIB=$LINUXDOC/lib sed -f $LIB/preroff.sed diff -c linuxdoc-sgml/bin/qroff:1.1.1.1 linuxdoc-sgml/bin/qroff:3.5 *** linuxdoc-sgml/bin/qroff:1.1.1.1 Thu Jan 26 21:54:33 1995 --- linuxdoc-sgml/bin/qroff Thu Jan 26 21:54:33 1995 *************** *** 3,9 **** # Date: 6 Dec 91 # Set to path of linuxdoc-sgml directory. This is all you should have to edit. ! LINUXDOC=$HOME/linuxdoc-sgml PATH=$LINUXDOC/bin:$PATH export PATH --- 3,9 ---- # Date: 6 Dec 91 # Set to path of linuxdoc-sgml directory. This is all you should have to edit. ! LINUXDOC=${LINUXDOC:-$HOME/linuxdoc-sgml} PATH=$LINUXDOC/bin:$PATH export PATH *************** *** 12,22 **** #GROFF_TMAC_PATH=/usr/local/gnu/groff-1.08/lib/groff/tmac #export GROFF_TMAC_PATH ! ASCII="groff -T ascii -t -mgs" ! LATIN1="groff -T latin1 -t -mgs" ! POSTSCRIPT="groff -et -mgs" REFER="grefer -sA+E+D+ -ne -p" TYPE="ascii" # default DATABASE="NONE" # refer database --- 12,36 ---- #GROFF_TMAC_PATH=/usr/local/gnu/groff-1.08/lib/groff/tmac #export GROFF_TMAC_PATH ! case `uname` in ! FreeBSD|NetBSD|BSD/386) ! ROFFMAC="-ms";; ! *) ! ROFFMAC="-mgs";; ! esac ! ! ASCII="groff -T ascii -t $ROFFMAC" ! LATIN1="groff -T latin1 -t $ROFFMAC" ! POSTSCRIPT="groff -et $ROFFMAC" REFER="grefer -sA+E+D+ -ne -p" + if [ -x /usr/bin/expand -o -x /usr/ucb/expand -o -x /usr/local/bin/expand ] + then + EXPAND=expand + else + EXPAND=cat + fi + TYPE="ascii" # default DATABASE="NONE" # refer database *************** *** 31,37 **** fi } ! trap 'cleanup; exit 1' 1 2 3 9 usage () { echo " qroff [-p] * PostScript instead of ASCII"; --- 45,51 ---- fi } ! trap 'cleanup; exit 1' 1 2 3 usage () { echo " qroff [-p] * PostScript instead of ASCII"; *************** *** 44,50 **** "help" | "HELP" | "Help" | "-help" ) usage esac ! set -- `getopt plb: $*` if [ $? != 0 ] --- 58,93 ---- "help" | "HELP" | "Help" | "-help" ) usage esac ! { ! sedfunc() ! { ! echo "$1" | sed "s/'/'\\\\''/g" ! } ! exitcode_=0 ! while getopts plb: c_ ! do ! case $c_ in ! \?) ! exitcode_=1 ! break;; ! *) if [ "$OPTARG" ] ! then ! optarg_=`sedfunc "$OPTARG"` ! arg_="$arg_ -$c_ '$optarg_'" ! else ! arg_="$arg_ -$c_" ! fi;; ! esac ! done ! shift `expr $OPTIND - 1` ! arg_="$arg_ --" ! for i_ in "$@" ! do ! optarg_=`sedfunc "$i_"` ! arg_="$arg_ '$optarg_'" ! done ! eval set -- "$arg_" ! test $exitcode_ = 0 ;} if [ $? != 0 ] *************** *** 70,76 **** then $LATIN1 else ! $ASCII | col -b fi } --- 113,119 ---- then $LATIN1 else ! $ASCII | col -b | $EXPAND fi } diff -c linuxdoc-sgml/bin/qtex:1.1.1.1 linuxdoc-sgml/bin/qtex:3.2 *** linuxdoc-sgml/bin/qtex:1.1.1.1 Thu Jan 26 21:54:34 1995 --- linuxdoc-sgml/bin/qtex Thu Jan 26 21:54:34 1995 *************** *** 8,14 **** ###################################################################### # Set to path of linuxdoc-sgml directory ! LINUXDOC=$HOME/linuxdoc-sgml # Set to command to use for LaTeX LATEX="latex" --- 8,14 ---- ###################################################################### # Set to path of linuxdoc-sgml directory ! LINUXDOC=${LINUXDOC:-$HOME/linuxdoc-sgml} # Set to command to use for LaTeX LATEX="latex" *************** *** 123,131 **** "help" | "HELP" | "Help" | "-help" ) usage esac ! trap 'cleanup; exit 1' 1 2 3 9 ! set -- `getopt dxgbsvc $*` if [ $? != 0 ] then --- 123,160 ---- "help" | "HELP" | "Help" | "-help" ) usage esac ! trap 'cleanup; exit 1' 1 2 3 ! { ! sedfunc() ! { ! echo "$1" | sed "s/'/'\\\\''/g" ! } ! exitcode_=0 ! while getopts dxgbsvc c_ ! do ! case $c_ in ! \?) ! exitcode_=1 ! break;; ! *) if [ "$OPTARG" ] ! then ! optarg_=`sedfunc "$OPTARG"` ! arg_="$arg_ -$c_ '$optarg_'" ! else ! arg_="$arg_ -$c_" ! fi;; ! esac ! done ! shift `expr $OPTIND - 1` ! arg_="$arg_ --" ! for i_ in "$@" ! do ! optarg_=`sedfunc "$i_"` ! arg_="$arg_ '$optarg_'" ! done ! eval set -- "$arg_" ! test $exitcode_ = 0 ;} if [ $? != 0 ] then diff -c linuxdoc-sgml/html-fix/Makefile:1.1.1.1 linuxdoc-sgml/html-fix/Makefile:3.0 *** linuxdoc-sgml/html-fix/Makefile:1.1.1.1 Thu Jan 26 21:54:35 1995 --- linuxdoc-sgml/html-fix/Makefile Thu Jan 26 21:54:35 1995 *************** *** 11,15 **** --- 11,19 ---- gcc -o html2html html2html.c -ll install: + rm -f ../bin/html2html ../bin/fixref cp html2html fixref ../bin chmod 755 ../bin/html2html ../bin/fixref + + clean: + rm -f *.o fixref html2html core diff -c linuxdoc-sgml/html-fix/html2html.c:1.1.1.1 linuxdoc-sgml/html-fix/html2html.c:3.0 *** linuxdoc-sgml/html-fix/html2html.c:1.1.1.1 Thu Jan 26 21:54:36 1995 --- linuxdoc-sgml/html-fix/html2html.c Thu Jan 26 21:54:36 1995 *************** *** 26,32 **** --- 26,36 ---- struct yysvf *yyestate; extern struct yysvf yysvec[], *yybgin; + #ifdef __bsdi + #include + #else #include + #endif #include #include diff -c linuxdoc-sgml/lib/prehtml.sed:1.1.1.1 linuxdoc-sgml/lib/prehtml.sed:3.0 *** linuxdoc-sgml/lib/prehtml.sed:1.1.1.1 Thu Jan 26 21:54:37 1995 --- linuxdoc-sgml/lib/prehtml.sed Thu Jan 26 21:54:37 1995 *************** *** 1,4 **** # Change "<" to "<" and ">" to ">" within
...
in HTML code - # /
/,/<\/pre>/ { s//<\1pre>/g; }
  /
/,/<\/pre>/ { s/>/\>/g; s/<\([\/]*\)pre\>/<\1pre>/g; }
--- 1,3 ----
diff -c linuxdoc-sgml/rep/html/general:1.1.1.1 linuxdoc-sgml/rep/html/general:1.2
*** linuxdoc-sgml/rep/html/general:1.1.1.1	Thu Jan 26 21:54:40 1995
--- linuxdoc-sgml/rep/html/general	Thu Jan 26 21:54:40 1995
***************
*** 80,86 ****
  
  
  
! 
  
  
  
--- 80,86 ----
  
  
  
! 
  
  
  
diff -c linuxdoc-sgml/rep/nroff/general:1.1.1.1 linuxdoc-sgml/rep/nroff/general:3.0
*** linuxdoc-sgml/rep/nroff/general:1.1.1.1	Thu Jan 26 21:54:43 1995
--- linuxdoc-sgml/rep/nroff/general	Thu Jan 26 21:54:43 1995
***************
*** 55,61 ****
  
  
  
! 
  
  
  
--- 55,61 ----
  
  
  
! 
  
  
  
diff -c linuxdoc-sgml/rep/nroff/mapping:1.1.1.1 linuxdoc-sgml/rep/nroff/mapping:3.2
*** linuxdoc-sgml/rep/nroff/mapping:1.1.1.1	Thu Jan 26 21:54:44 1995
--- linuxdoc-sgml/rep/nroff/mapping	Thu Jan 26 21:54:44 1995
***************
*** 22,27 ****
--- 22,28 ----
  			".ds CF \\\\n\%\n"	
  			".ds CH \\&\n"
  			".ds dR $\n"   % dollar, to avoid EQN conflicts
+ 			".ds dQ \\&\"\n"  % double quote
  
  			% Start with no TOC
  			".ds printtoc\n"
***************
*** 65,72 ****
  			% Number registers for list
  
  			".nr bi 0\n"  % initialize begin items
! 			".nr ll 0\n"  % list level, stores current level
  			".nr el 0\n"  % current enumeration level
  
  			% Not all list levels are enumerations, as 
  			% itemizations can be embedded within enumerations
--- 66,74 ----
  			% Number registers for list
  
  			".nr bi 0\n"  % initialize begin items
! 			".nr ll 1\n"  % list level, stores current level
  			".nr el 0\n"  % current enumeration level
+ 			".nr zl 0\n"  % current itemization level (DHD)
  
  			% Not all list levels are enumerations, as 
  			% itemizations can be embedded within enumerations
***************
*** 90,96 ****
  ".ie \\\\n(bi=1 \\{\\\n"   % first par element of item?
  ".nr bi 0\n"	 % reset bi flag
  % if itemization, mark with a bullet
! ".if \\\\n(t\\\\n(ll=0 \\{.IP \\\\(bu\\}\n" % itemize
  %  if enumeration: increment and print enumerator
  % for this enumeration level
  ".if \\\\n(t\\\\n(ll=1 \\{.IP \\\\n+(e\\\\n(el.\\}\n"
--- 92,98 ----
  ".ie \\\\n(bi=1 \\{\\\n"   % first par element of item?
  ".nr bi 0\n"	 % reset bi flag
  % if itemization, mark with a bullet
! ".if \\\\n(t\\\\n(ll=0 \\{.IP \\\\*(b\\\\n(zl\\}\n" % itemize
  %  if enumeration: increment and print enumerator
  % for this enumeration level
  ".if \\\\n(t\\\\n(ll=1 \\{.IP \\\\n+(e\\\\n(el.\\}\n"
***************
*** 121,126 ****
--- 123,135 ----
  			".ds f3 i\n"
  			".ds f4 A\n"
  
+ 			% Bullets (DHD)
+ 
+ 			".ds b1 \\\\(bu\n"
+ 			".ds b2 +\n"
+ 			".ds b3 *\n"
+ 			".ds b4 -\n"
+ 
  			% Number registers for theorems
  			".nr def 0\n"
  			".nr prop 0\n"
***************
*** 295,302 ****
  

+ ".nr ll +1\n" % increment list level ".nr t\\n(ll 0\n" % set type of level to itemize ! + ".nr ll -1\n" % decrement list level + ".nr ll +1\n" % increment list level ".nr el +1\n" % increment enumeration level --- 304,315 ----

+ ".nr ll +1\n" % increment list level + ".nr zl +1\n" % increment itemize level (DHD) ".nr t\\n(ll 0\n" % set type of level to itemize ! ".if \\n(ll>1 .RS" + % (DHD) ! + ".if \\n(ll>1 .RE\n" % (DHD) ! ".nr ll -1\n" % decrement list level ! ".nr zl -1\n" % decrement itemize level (DHD) + ".nr ll +1\n" % increment list level ".nr el +1\n" % increment enumeration level diff -c linuxdoc-sgml/sgmls-1.1/Makefile:1.1.1.1 linuxdoc-sgml/sgmls-1.1/Makefile:3.0 *** linuxdoc-sgml/sgmls-1.1/Makefile:1.1.1.1 Thu Jan 26 21:54:46 1995 --- linuxdoc-sgml/sgmls-1.1/Makefile Thu Jan 26 21:54:46 1995 *************** *** 151,156 **** --- 151,159 ---- clean: -rm -f *.o $(PROGS) core a.out + cleanconfig: + -rm -f config.h + realclean: clean -rm -f $(FMANPAGES) diff -c linuxdoc-sgml/sgmls-1.1/configure:1.1.1.1 linuxdoc-sgml/sgmls-1.1/configure:3.0 *** linuxdoc-sgml/sgmls-1.1/configure:1.1.1.1 Thu Jan 26 21:54:46 1995 --- linuxdoc-sgml/sgmls-1.1/configure Thu Jan 26 21:54:46 1995 *************** *** 413,418 **** --- 413,439 ---- fi cat >doit.c <<\EOF + #include + main(argc, argv) + int argc; + char **argv; + { + if (argc == 0) { + fpos_t pos; + exit(0); + } + exit(0); + } + EOF + + if $CC $CFLAGS -o doit doit.c $LIBS >/dev/null 2>&1 && ./doit 2>/dev/null + then + off="$off FPOS_TYPE_MISSING" + else + on="$on FPOS_TYPE_MISSING" + fi + + cat >doit.c <<\EOF #include #include #include diff -c linuxdoc-sgml/sgmls-1.1/msgcat.h:1.1.1.1 linuxdoc-sgml/sgmls-1.1/msgcat.h:3.0 *** linuxdoc-sgml/sgmls-1.1/msgcat.h:1.1.1.1 Thu Jan 26 21:54:46 1995 --- linuxdoc-sgml/sgmls-1.1/msgcat.h Thu Jan 26 21:54:46 1995 *************** *** 7,13 **** /* Don't use prototypes here in case nl_types.h declares a conflicting prototype. */ ! nl_catd catopen(); int catclose(); char *catgets(); --- 7,14 ---- /* Don't use prototypes here in case nl_types.h declares a conflicting prototype. */ ! #if !defined(__NetBSD__) nl_catd catopen(); int catclose(); char *catgets(); + #endif diff -c linuxdoc-sgml/sgmls-1.1/std.h:1.1.1.1 linuxdoc-sgml/sgmls-1.1/std.h:3.1 *** linuxdoc-sgml/sgmls-1.1/std.h:1.1.1.1 Thu Jan 26 21:54:47 1995 --- linuxdoc-sgml/sgmls-1.1/std.h Thu Jan 26 21:54:47 1995 *************** *** 92,98 **** --- 92,100 ---- #endif #ifdef FPOS_MISSING + #ifdef FPOS_TYPE_MISSING typedef long fpos_t; + #endif #define fsetpos(stream, pos) fseek(stream, *(pos), SEEK_SET) #define fgetpos(stream, pos) ((*(pos) = ftell(stream)) == -1L) #endif /* FPOS_MISSING */ diff -c linuxdoc-sgml/sgmls-1.1/unix.cfg:1.1.1.1 linuxdoc-sgml/sgmls-1.1/unix.cfg:3.0 *** linuxdoc-sgml/sgmls-1.1/unix.cfg:1.1.1.1 Thu Jan 26 21:54:47 1995 --- linuxdoc-sgml/sgmls-1.1/unix.cfg Thu Jan 26 21:54:47 1995 *************** *** 118,123 **** --- 118,126 ---- /* Define this if you don't have fsetpos() and fgetpos(). */ #define FPOS_MISSING 1 + /* Define this if you don't have typedef long int fpos_t */ + #define FPOS_TYPE_MISSING 1 + /* Universal pointer type. */ /* If your compiler doesn't fully support void *, change `void' to `char'. */ typedef void *UNIV;